
<!-- begin of generated class -->
<?php
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_quick_tips
* GENERATION DATE:  20.03.2017
* CLASS FILE:       D:\wamp\www\Classgenerator/generated_classes/class.tbl_quick_tips.php
* FOR MYSQL TABLE:  tbl_quick_tips
* FOR MYSQL DB:     poorna_pooja
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_quick_tips
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************


var $quick_tips_id;   // (normal Attribute)
var $question_mr;   // (normal Attribute)
var $question_en;   // (normal Attribute)
var $answer_mr;   // (normal Attribute)
var $answer_en;   // (normal Attribute)
var $is_deleted;   // (normal Attribute)
var $is_display;   // (normal Attribute)
var $created_date;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

function tbl_quick_tips()
{

$this->database = new Database();

}


// **********************
// GETTER METHODS
// **********************


function getquick_tips_id()
{
return $this->quick_tips_id;
}

function getquestion_mr()
{
return $this->question_mr;
}

function getquestion_en()
{
return $this->question_en;
}

function getanswer_mr()
{
return $this->answer_mr;
}

function getanswer_en() 
{
return $this->answer_en;
}

function getis_deleted()
{
return $this->is_deleted;
}

function getis_display()
{
return $this->is_display;
}

function getcreated_date()
{
return $this->created_date;
}

// **********************
// SETTER METHODS
// **********************


function setquick_tips_id($val)
{
$this->quick_tips_id =  $val;
}

function setquestion_mr($val)
{
$this->question_mr =  $val;
}

function setquestion_en($val)
{
$this->question_en =  $val;
}

function setanswer_mr($val)
{
$this->answer_mr =  $val;
}
function setanswer_en($val)
{
$this->answer_en =  $val;
}

function setis_deleted($val)
{
$this->is_deleted =  $val;
}

function setis_display($val)
{
$this->is_display =  $val;
}

function setcreated_date($val)
{
$this->created_date =  $val;
}

// **********************
// SELECT METHOD / LOAD
// **********************

function select($id)
{

$sql =  "SELECT * FROM tbl_quick_tips WHERE  quick_tips_id= $id;";
$result =  $this->database->query($sql);
$result = $this->database->result;
$row = mysqli_fetch_object($result);


$this->quick_tips_id = $row->quick_tips_id;

$this->question_mr = $row->question_mr;

$this->question_en = $row->question_en;

$this->answer_mr = $row->answer_mr;

$this->answer_en = $row->answer_en;

$this->is_deleted = $row->is_deleted;

$this->is_display = $row->is_display;

$this->created_date = $row->created_date;

}

// **********************
// DELETE
// **********************

function delete($id)
{
$sql = "DELETE FROM tbl_quick_tips WHERE  quick_tips_id= $id;";
$result = $this->database->query($sql);

}

// **********************
// INSERT
// **********************

function insert()
{
$sql = "INSERT INTO tbl_quick_tips ( question_mr,question_en,answer_mr,answer_en,is_deleted,is_display,created_date ) VALUES ('$this->question_mr','$this->question_en','$this->answer_mr','$this->answer_en','$this->is_deleted','$this->is_display','$this->created_date' )";
$result = $this->database->query($sql);
return mysqli_insert_id($this->database->link);

}

// **********************
// UPDATE
// **********************

function update($id)
{



$sql = " UPDATE tbl_quick_tips SET  question_mr = '$this->question_mr',question_en = '$this->question_en',answer_mr = '$this->answer_mr',answer_en = '$this->answer_en',is_deleted = '$this->is_deleted',is_display = '$this->is_display',created_date = '$this->created_date' WHERE  quick_tips_id= $id ";

$result = $this->database->query($sql);

}

// Select All Quick List List
	function selectAllQuickTipsList()
	{
		
		try
		{
			$sql =  "SELECT * FROM tbl_quick_tips WHERE  is_deleted = '0'";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
		
				  $arr[$count] = new tbl_quick_tips();
				  $arr[$count]->setquick_tips_id($row->quick_tips_id);
				  $arr[$count]->setquestion_mr($row->question_mr);
				  $arr[$count]->setquestion_en($row->question_en);
				  $arr[$count]->setanswer_mr($row->answer_mr );
				  $arr[$count]->setanswer_en($row->answer_en );
				  $arr[$count]->setis_deleted($row->is_deleted );
				  $arr[$count]->setis_display($row->is_display );
				  $arr[$count]->setcreated_date($row->created_date );
				  
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}
      


} // class : end

?>
<!-- end of generated class -->
